package com.ruoyi.system.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.system.domain.BladeRegion;

/**
 * 行政区划Mapper接口
 * 
 * @author dm
 * @date 2023-02-13
 */
public interface BladeRegionMapper 
{
    /**
     * 查询行政区划
     * 
     * @param code 行政区划主键
     * @return 行政区划
     */
    public BladeRegion selectBladeRegionByCode(String code);

    

    public List<BladeRegion> selectAll();
    public List<BladeRegion> selectAllAreaList();
    public List<BladeRegion> selectAllCityList();
    
    /**
     * 查询行政区划列表
     * 
     * @param bladeRegion 行政区划
     * @return 行政区划集合
     */
    public List<BladeRegion> selectBladeRegionList(BladeRegion bladeRegion);

    public List<BladeRegion> selectList(BladeRegion bladeRegion);
    /**
     * 新增行政区划
     * 
     * @param bladeRegion 行政区划
     * @return 结果
     */
    public int insertBladeRegion(BladeRegion bladeRegion);

    /**
     * 修改行政区划
     * 
     * @param bladeRegion 行政区划
     * @return 结果
     */
    public int updateBladeRegion(BladeRegion bladeRegion);

    /**
     * 删除行政区划
     * 
     * @param code 行政区划主键
     * @return 结果
     */
    public int deleteBladeRegionByCode(String code);

    /**
     * 批量删除行政区划
     * 
     * @param codes 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBladeRegionByCodes(String[] codes);
    
   
    /**
     * 删除行政区划
     *
     * @param code 行政区划ID
     * @return 结果
     */
    public int setDeleteById(@Param("code") String code, @Param("operId") Long operId, @Param("operName") String operName);

    /**
     * 批量删除行政区划---逻辑删除
     *
     * @param codes 需要删除的数据ID
     * @return 结果
     */
    public int setDeleteByIds(@Param("codes") String[] codes, @Param("operId") Long operId, @Param("operName") String operName);
}
